ApiSnapshotCommand (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiSnapshotCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCommand
  - - com.cloudera.api.swagger.model.ApiSnapshotCommand

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiSnapshotCommand
      extends ApiCommand

  Information about snapshot commands. <p/> This object holds all the information a regular ApiCommand object provides, and adds specific information about the results of a snapshot command. <p/> Depending on the type of the service where the snapshot command was run, a different result property will be populated.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiSnapshotCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiHBaseSnapshotResult` | `getHbaseResult()` Get hbaseResult
    `ApiHdfsSnapshotResult` | `getHdfsResult()` Get hdfsResult
    `ApiOzoneSnapshotResult` | `getOzoneResult()` Get ozoneResult
    `int` | `hashCode()`
    `ApiSnapshotCommand` | `hbaseResult(ApiHBaseSnapshotResult hbaseResult)`
    `ApiSnapshotCommand` | `hdfsResult(ApiHdfsSnapshotResult hdfsResult)`
    `ApiSnapshotCommand` | `ozoneResult(ApiOzoneSnapshotResult ozoneResult)`
    `void` | `setHbaseResult(ApiHBaseSnapshotResult hbaseResult)`
    `void` | `setHdfsResult(ApiHdfsSnapshotResult hdfsResult)`
    `void` | `setOzoneResult(ApiOzoneSnapshotResult ozoneResult)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiCommand

      `active, canRetry, children, clusterRef, endTime, getChildren, getClusterRef, getEndTime, getHostRef, getId, getName, getParent, getResultDataUrl, getResultMessage, getRoleRef, getServiceRef, getStartTime, hostRef, id, isActive, isCanRetry, isSuccess, name, parent, resultDataUrl, resultMessage, roleRef, serviceRef, setActive, setCanRetry, setChildren, setClusterRef, setEndTime, setHostRef, setId, setName, setParent, setResultDataUrl, setResultMessage, setRoleRef, setServiceRef, setStartTime, setSuccess, startTime, success`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiSnapshotCommand

          public ApiSnapshotCommand()

  - ### Method Detail

    - #### hbaseResult

          public ApiSnapshotCommand hbaseResult(ApiHBaseSnapshotResult hbaseResult)

    - #### getHbaseResult

          public ApiHBaseSnapshotResult getHbaseResult()

      Get hbaseResult
      Returns:
        hbaseResult

    - #### setHbaseResult

          public void setHbaseResult(ApiHBaseSnapshotResult hbaseResult)

    - #### hdfsResult

          public ApiSnapshotCommand hdfsResult(ApiHdfsSnapshotResult hdfsResult)

    - #### getHdfsResult

          public ApiHdfsSnapshotResult getHdfsResult()

      Get hdfsResult
      Returns:
        hdfsResult

    - #### setHdfsResult

          public void setHdfsResult(ApiHdfsSnapshotResult hdfsResult)

    - #### ozoneResult

          public ApiSnapshotCommand ozoneResult(ApiOzoneSnapshotResult ozoneResult)

    - #### getOzoneResult

          public ApiOzoneSnapshotResult getOzoneResult()

      Get ozoneResult
      Returns:
        ozoneResult

    - #### setOzoneResult

          public void setOzoneResult(ApiOzoneSnapshotResult ozoneResult)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiCommand`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiCommand`

Copyright © 2026. All rights reserved.